Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 838720 - Review Request: ttfautohint - Autohinting-tool for truetype fonts
Summary: Review Request: ttfautohint - Autohinting-tool for truetype fonts
Keywords:
Status: CLOSED DUPLICATE of bug 1000949
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-07-09 22:53 UTC by Vinzenz Vietzke
Modified: 2013-10-19 14:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-22 20:10:24 UTC
msuchy: fedora-review?


Attachments (Terms of Use)

Description Vinzenz Vietzke 2012-07-09 22:53:57 UTC
Spec URL: http://repos.fedorapeople.org/repos/vinz/ttfautohint/ttfautohint.spec
SRPM URL: http://repos.fedorapeople.org/repos/vinz/ttfautohint/fedora-17/SRPMS/ttfautohint-0.9-1.fc17.src.rpm
Description: ttfautohint's goal is a 99% automated hinting process for web fonts, acting as a platform for finely hand-tuned hinting. It provides both a cli and a GUI for creating autohintet font files.
Fedora Account System Username: vinz

Comment 1 Vinzenz Vietzke 2012-07-10 11:01:02 UTC
As this is my first package submission I'd be happy to get someone sponsoring me.

Comment 2 Reiner Rottmann 2012-07-13 15:05:31 UTC
This is an unofficial review, as I need sponsoring myself:

The spec file is rather clean and there is not much to complain. I've checked the following items:

- source files match upstream: OK
994a69f1590b37d9447412f979555f28fc5b20259145f5fd698c2b4bcd3360b9
- package meets naming and versioning guidelines: OK
- specfile is properly named, is cleanly written and uses macros consistently: OK
- dist tag is present: OK
- build root is correct: OK - using the default.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     is the recommended value, but not the only one)
- license field matches the actual license: OK?
GPLv2 is correct. It is duallicensed:
"you can choose between the GNU Public License (GPL) Version 2 and the FreeType License (FTL.)"
- license is open source-compatible: OK
- license text included in package: OK
- latest version is being packaged: OK?
Current version: 0.91 (12th July 2012). Packaged: 0.9
- BuildRequires are proper: OK
- compiler flags are appropriate: OK
- %clean is present: NO
- package builds in mock: OK
INFO: mock.py version 1.1.22 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(../SRPMS/ttfautohint-0.9-1.fc17.src.rpm)  Config(fedora-17-x86_64)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-17-x86_64) unlocked and deleted
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.22
INFO: Mock Version: 1.1.22
INFO: calling preinit hooks
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: unlock buildroot
INFO: Installed packages:
State Changed: setup
State Changed: build
INFO: Done(../SRPMS/ttfautohint-0.9-1.fc17.src.rpm) Config(default) 6 minutes 9 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-17-x86_64/result
State Changed: end
- package installs properly: OK
- debuginfo package looks complete: OK
- rpmlint is silent: NO

[rottmrei@fedora SPECS]$ rpmlint ../RPMS/x86_64/ttfautohint-0.9-1.fc17.x86_64.rpm 
ttfautohint.x86_64: W: summary-not-capitalized C ttfautohint's goal is a 99% automated hinting process for web fonts, acting as a platform for finely hand-tuned hinting.
ttfautohint.x86_64: W: summary-ended-with-dot C ttfautohint's goal is a 99% automated hinting process for web fonts, acting as a platform for finely hand-tuned hinting.
ttfautohint.x86_64: E: summary-too-long C ttfautohint's goal is a 99% automated hinting process for web fonts, acting as a platform for finely hand-tuned hinting.
ttfautohint.x86_64: E: description-line-too-long C ttfautohint's goal is a 99% automated hinting process for web fonts, acting as a platform for finely hand-tuned hinting.
ttfautohint.x86_64: E: changelog-time-in-future 2012-07-09
ttfautohint.x86_64: W: no-documentation
ttfautohint.x86_64: W: no-manual-page-for-binary ttfautohint
ttfautohint.x86_64: W: no-manual-page-for-binary ttfautohintGUI
1 packages and 0 specfiles checked; 3 errors, 5 warnings.

- final provides and requires are sane: OK
[rottmrei@fedora SPECS]$ rpm -qp --provides  ../RPMS/x86_64/ttfautohint-0.9-1.fc17.x86_64.rpm 
ttfautohint = 0.9-1.fc17
ttfautohint(x86-64) = 0.9-1.fc17
[rottmrei@fedora SPECS]$ rpm -qp --requires  ../RPMS/x86_64/ttfautohint-0.9-1.fc17.x86_64.rpm 
freetype  
libQtCore.so.4()(64bit)  
libQtGui.so.4()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libfreetype.so.6()(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libm.so.6()(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
libstdc++.so.6()(64bit)  
libstdc++.so.6(CXXABI_1.3)(64bit)  
libstdc++.so.6(GLIBCXX_3.4)(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1

Comment 3 Miroslav Suchý 2012-08-04 19:09:27 UTC
gnulib directory is just bundled libtool? If yes, you should remove it at the begining of %build to make sure you use fedora libtool.

Sumary should be shorter and start with capital leter.

Please write man pages for binaries: ttfautohint and ttfautohintGUI

Description is too long - the line itself, wrap it at 80 chars boundary.

/usr/lib/debug/* should belong only to -debuginfo subpackage

See:
http://fedoraproject.org/wiki/Packaging:Guidelines
http://fedoraproject.org/wiki/Packaging:Debuginfo

Comment 4 Miroslav Suchý 2012-10-16 13:24:12 UTC
ping. Any progress here?

Comment 5 Miroslav Suchý 2012-12-03 17:24:21 UTC
Any progress here? I will move it to stalled review if there is no interrest in.

Comment 6 Miroslav Suchý 2012-12-22 20:10:24 UTC
Closing per #4, #5.
If you want to continue, please reopen.

Comment 7 Christopher Meng 2013-09-24 08:53:53 UTC

*** This bug has been marked as a duplicate of bug 1000949 ***


Note You need to log in before you can comment on or make changes to this bug.